package com.luojia_channel.modules.interact.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.common.domain.UserDTO;
import com.luojia_channel.common.domain.page.PageResponse;
import com.luojia_channel.common.domain.page.ScrollPageResponse;
import com.luojia_channel.modules.interact.entity.Follow;
import com.luojia_channel.modules.post.dto.req.PostPageQueryDTO;
import com.luojia_channel.modules.post.dto.resp.PostBasicInfoDTO;

import java.util.List;


public interface FollowService extends IService<Follow> {

    void follow(Long followUserId, Boolean isFollow);

    boolean isFollow(Long followUserId);

    List<UserDTO> followCommons(Long id);

    ScrollPageResponse<PostBasicInfoDTO> queryPostFollow(PostPageQueryDTO postPageQueryDTO);
}
